Subject: Solution for chtex -w

From: Mingqiu Sun <[email-masked]>
Date: Tue, 21 May 91 17:08:25 EDT

I remember a while ago some netters complained problems with printing
ps file generated by JB Wang's chtex.

I just played with 7 issues of Hua-Xia-Digests. I had no problems
with all issues except the 3rd and 5th ones. After a while I figured
out where the problem was and successfully printed out all issues.

In the 3rd issue, there is a paragraph starting with "...... I am
studying journalism".  In the "five taste salt" section of the fifth
issue, every sentence starts with the Chinese period (circle).
Obviously, JB's chtex -w does not behave properly and translate these
to "Offending Commands" ( according to my printer :-) ). The fix is
easy, I just use vi (in cxterm) to delete these punctuations and
everything works fine.

Since I know absolutely nothing about Chinese coding, could some
experts either modify JB's chtex or write a program to filter out
these punctuations in the front of a paragraph?

By the way, I appreciate JB Wang's chtex very much. It produces the
highest quality I have ever seen. The printer time is comparable with
that of English TeX document of similar length.

I would like to take this chance to thank the editors of the CND-CM.
They did an excellent job. Every issue of the Hua-Xia-Digest I printed
out always ends up in the hands of someone I even do not know. ( So
you can estimate the propagation speed. :-) )

Mingqiu Sun @ Ohio State